Package org.eclipse.lemminx.services.format

## Class DOMCDATAFormatter

- java.lang.Object
- - org.eclipse.lemminx.services.format.DOMCDATAFormatter

    public class DOMCDATAFormatter
    extends Object

DOM CDATA section formatter.

### Constructor Summary

Constructors
`DOMCDATAFormatter​(XMLFormatterDocument formatterDocument)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `formatCDATASection​(DOMCDATASection cDATANode, XMLFormattingConstraints parentConstraints, List<org.eclipse.lsp4j.TextEdit> edits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMCDATAFormatter

    public DOMCDATAFormatter​(XMLFormatterDocument formatterDocument)

### Method Detail

#### formatCDATASection

    public void formatCDATASection​(DOMCDATASection cDATANode,
                                   XMLFormattingConstraints parentConstraints,
                                   List<org.eclipse.lsp4j.TextEdit> edits)